import { Component, createEffect, createSignal } from "solid-js";

import styles from './Account.module.css'
import { localState } from "../state";
import { User, api, authConfig } from "../api";

const Account: Component = () => {
	const [user, setUser] = createSignal({} as User);

	(async () => {
		try {
			if (localState.accountInfo == null) return;
		} catch (e) {
		}
	})();

	// TODO: Delete account

	return (
		<div class={styles.page}>
			<h1>Your Account</h1>
			<hr />
			<h2>Logged in as {localState.accountInfo!.user.displayName}</h2>
			<button>Delete my account</button>
		</div>
	);
}

export default Account;
